Debian Bug report logs - #610906
kernel-wedge: cmd64x driver missing from Squeeze installer

version graph

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: Thomas Zimmermann <kuhundbaer@web.de>

Date: Sun, 23 Jan 2011 21:10:16 UTC

Severity: important

Tags: moreinfo, patch

Merged with 612276

Fixed in version debian-installer/20110106+squeeze1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#610906; Package kernel-wedge. (Sun, 23 Jan 2011 21:10:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Zimmermann <kuhundbaer@web.de>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 23 Jan 2011 21:10:19 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Zimmermann <kuhundbaer@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kernel-wedge: cmd64x driver missing from Squeeze installer
Date: Sun, 23 Jan 2011 22:06:57 +0100
Package: kernel-wedge
Version: 2.73
Severity: important

Trying to install the Squeeze preview of 2011/01/17 on a Sun Ultra 10
failed because the IDE drives where not detected by the installer. The
reason is the missing driver cmd64x for the Ultra 10's IDE controller.
Including the respective kernel module in the initrd should fix this
problem.

More information on the issue is available under [1] and probably
[2].

Regards,
Thomas

[1] http://lists.debian.org/debian-boot/2010/11/msg01250.html
[2] http://lists.debian.org/debian-boot/2011/01/msg00497.html


-- System Information:
Debian Release: squeeze/sid
  APT prefers lucid-updates
  APT policy: (500, 'lucid-updates'), (500, 'lucid-security'), (500, 'lucid')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-27-generic (SMP w/2 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#610906; Package kernel-wedge. (Mon, 24 Jan 2011 21:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 24 Jan 2011 21:45:11 GMT) Full text and rfc822 format available.

Message #10 received at 610906@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: 610906@bugs.debian.org
Cc: 610906-submitter@bugs.debian.org
Subject: Suggested patch
Date: Mon, 24 Jan 2011 21:38:43 +0000
[Message part 1 (text/plain, inline)]
reassign 610906 debian-installer
tags 610906 patch
thanks

Attached is a patch which, I believe, should do the trick. The idea is 
to add pata-modules to cdrom initrd on sparc, so that pata_cmd64x.ko 
gets included. Complete list of new files resulting from pulling in 
pata-modules:

-rw-r--r-- 1 jurij jurij 13744 Dec 10 18:44 pata_artop.ko
-rw-r--r-- 1 jurij jurij 13984 Dec 10 18:44 pata_cmd64x.ko
-rw-r--r-- 1 jurij jurij 23880 Dec 10 18:44 pata_it821x.ko
-rw-r--r-- 1 jurij jurij  8016 Dec 10 18:44 pata_jmicron.ko
-rw-r--r-- 1 jurij jurij  9512 Dec 10 18:44 pata_marvell.ko
-rw-r--r-- 1 jurij jurij  9432 Dec 10 18:44 pata_sch.ko

This is targeted for squeeze r1.

Best regards,
-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC
[pata_sparc.patch (text/x-diff, attachment)]

Bug reassigned from package 'kernel-wedge' to 'debian-installer'. Request was from Jurij Smakov <jurij@wooyd.org> to control@bugs.debian.org. (Mon, 24 Jan 2011 21:45:19 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions kernel-wedge/2.73. Request was from Jurij Smakov <jurij@wooyd.org> to control@bugs.debian.org. (Mon, 24 Jan 2011 21:45:20 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Jurij Smakov <jurij@wooyd.org> to control@bugs.debian.org. (Mon, 24 Jan 2011 21:45:21 GMT) Full text and rfc822 format available.

Message sent on to Thomas Zimmermann <kuhundbaer@web.de>:
Bug#610906. (Mon, 24 Jan 2011 21:45:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#610906; Package debian-installer. (Sun, 30 Jan 2011 21:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 30 Jan 2011 21:45:09 GMT) Full text and rfc822 format available.

Message #24 received at 610906@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: 610906@bugs.debian.org
Subject: Fix committed, tagging pending
Date: Sun, 30 Jan 2011 21:42:06 +0000
tag 610906 pending
thanks

Fix committed to git repo:

http://git.debian.org/?p=d-i/debian-installer.git;a=commit;h=be086ccd9915f029a5de5b7fc1829fdab80f0a67

Best regards,
-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC




Added tag(s) pending. Request was from Jurij Smakov <jurij@wooyd.org> to control@bugs.debian.org. (Sun, 30 Jan 2011 21:45:10 GMT) Full text and rfc822 format available.

Forcibly Merged 610906 612276. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Tue, 15 Feb 2011 23:57:04 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 14 Mar 2011 22:09:17 GMT) Full text and rfc822 format available.

Notification sent to Thomas Zimmermann <kuhundbaer@web.de>:
Bug acknowledged by developer. (Mon, 14 Mar 2011 22:09:17 GMT) Full text and rfc822 format available.

Message #33 received at 610906-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 610906-close@bugs.debian.org
Subject: Bug#610906: fixed in debian-installer 20110106+squeeze1
Date: Mon, 14 Mar 2011 22:05:17 +0000
Source: debian-installer
Source-Version: 20110106+squeeze1

We believe that the bug you reported is fixed in the latest version of
debian-installer, which is due to be installed in the Debian FTP archive:

debian-installer-images_20110106+squeeze1_amd64.tar.gz byhand
debian-installer_20110106+squeeze1.dsc
  to main/d/debian-installer/debian-installer_20110106+squeeze1.dsc
debian-installer_20110106+squeeze1.tar.gz
  to main/d/debian-installer/debian-installer_20110106+squeeze1.tar.gz
debian-installer_20110106+squeeze1_amd64.deb
  to main/d/debian-installer/debian-installer_20110106+squeeze1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610906@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated debian-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 13 Mar 2011 21:31:36 +0100
Source: debian-installer
Binary: debian-installer
Architecture: source amd64
Version: 20110106+squeeze1
Distribution: squeeze
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 debian-installer - Debian installer
Closes: 609476 610906
Changes: 
 debian-installer (20110106+squeeze1) squeeze; urgency=low
 .
   [ Jurij Smakov ]
   * Add pata-modules to cdrom config for sparc and sparc64.
     Closes: #610906.
 .
   [ Martin Michlmayr ]
   * qnap-flash-debian: recognize QNAP TS-x12 devices.
   * lspro-config-debian: Exit if the firmware version cannot be
     determined.  Thanks John Bytheway.  Closes: #609476
Checksums-Sha1: 
 40096434739c9f61c50c991712dd832d90c15ffd 3306 debian-installer_20110106+squeeze1.dsc
 6109aa6f46cd78f13d6064d576c885de1f1bb88d 1365069 debian-installer_20110106+squeeze1.tar.gz
 55eaba68b0fa6d02025ad1af57cb02b9a6f2ba9b 820300 debian-installer_20110106+squeeze1_amd64.deb
 24d98c60d79fc0978ddc5a4d3d23f2e36d2ce03d 174172649 debian-installer-images_20110106+squeeze1_amd64.tar.gz
Checksums-Sha256: 
 17564d4ecdee56a7b5f3b6477abc0335e4d6604786f47f1943ec1b4d745bdc2e 3306 debian-installer_20110106+squeeze1.dsc
 c9c8251b35ec34c7cd269609ee2a96717aca88f8ec67a350ae060f464f22fab0 1365069 debian-installer_20110106+squeeze1.tar.gz
 75109e4bb1d122cf7b8b4d279e9be2441558e4b34f5b9c27e33e8d269a08d1ba 820300 debian-installer_20110106+squeeze1_amd64.deb
 24ca2a66312f30c5fdafd50982bc0920a9ae715973ee755be07e0dbd838219b4 174172649 debian-installer-images_20110106+squeeze1_amd64.tar.gz
Files: 
 88edd2087f2ce48b7b5cb93daa578ac7 3306 devel optional debian-installer_20110106+squeeze1.dsc
 1b5f945f5d109dfc9f3e841224a516bd 1365069 devel optional debian-installer_20110106+squeeze1.tar.gz
 26f47712da18f3480d11e3667d1a7a3b 820300 devel optional debian-installer_20110106+squeeze1_amd64.deb
 6b4e68fc1f979dd7147fc49c69b970e0 174172649 raw-installer - debian-installer-images_20110106+squeeze1_amd64.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNfUnTAAoJEDEBgAUJBeQM7zsP/21wJos3i8/tqRWGbPBZlpvB
eR7z0yGJSivFUoAx3lF+lbBvTUMtR8jfuioO6qq6R0r7tQaRkuaggQXLKX++GaxD
/+vzEM9PwKZ7WF+fcBaOhB1WBZlzb4NvmMK3fevTEBeVb+WxNE9VPtYlFUzxtQ39
ykKKo/XN69sJxU7Rv1lCyNHBdbbygsokM8eUZqpPnMgu07Sx5P5iRtRSO5LXHEln
IqejjZxA4i7PZZ0HF82BNgKxSGuUxO39HSVYSlJb8Ki5kqcBvhPbBseGbXozewXx
Nv7Jx1XYwmwHSytF8zjXoAqytpm4YuXL+CdkkShyybA6aIGecsLIBiMef/daVIDc
MHmNRDyRohcGpHrPP+l2zHPWgTYrt3Rd+SYDTHd61wHSA0YOcp9YjUdsVWNAGdIh
sdDuH9A99tZPX5mEPS9lcLdtDymm/JDS0gaRZ5Okq3RvOoH8wgmIngqmDMORHYWk
EIfhpfoan/wwRX6HRSUsSPc+Kogh5Eto19WOgxU1tBHjKX2e5c2YQ41/XaFPFcl3
EzIVsLZsuKpShBEm9Jej7xLFixIumReX/Yi03QJp545sAUWTKl2quzGHzFLOkuFC
yu8tIgEmhxoqtAmuJFJi/++NzbP5LRWB9cMAphDy+2OgyocHdH5rTF7gdHqrDGmb
1gn2RYsLx7T/JhUHgH+F
=LK8w
-----END PGP SIGNATURE-----





Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 14 Mar 2011 22:09:18 GMT) Full text and rfc822 format available.

Notification sent to Gabriel VLASIU <gabriel@vlasiu.net>:
Bug acknowledged by developer. (Mon, 14 Mar 2011 22:09:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#610906; Package debian-installer. (Tue, 15 Mar 2011 18:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Zimmermann <kuhundbaer@web.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 15 Mar 2011 18:24:03 GMT) Full text and rfc822 format available.

Message #43 received at 610906@bugs.debian.org (full text, mbox):

From: Thomas Zimmermann <kuhundbaer@web.de>
To: 610906@bugs.debian.org
Subject: Thanks!
Date: Tue, 15 Mar 2011 19:21:12 +0100
[Message part 1 (text/plain, inline)]
Thanks for fixing this bug. I'll try it out as soon as the next Debian
release comes out.

Regards,
Thomas

-- 
Thomas Zimmermann <kuhundbaer@web.de>
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Jun 2011 07:33:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:09:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.